From e7b3090759ad5bff59455a75a62a085bab9bfcfe Mon Sep 17 00:00:00 2001
From: Marnik Vander Elst <marnik@marnik.org>
Date: Thu, 24 Jul 2008 14:15:19 +0200
Subject: [PATCH] Look for the ID specified in config in the PMT map, not for the original incoming PID.

---
 modules/mux/mpeg/ts.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/modules/mux/mpeg/ts.c b/modules/mux/mpeg/ts.c
index 6afe0c8..627e1a2 100644
--- a/modules/mux/mpeg/ts.c
+++ b/modules/mux/mpeg/ts.c
@@ -2617,7 +2617,7 @@ static void GetPMT( sout_mux_t *p_mux, sout_buffer_chain_t *c )
         p_stream = (ts_stream_t *)p_mux->pp_inputs[i_stream]->p_sys;
 
 #ifdef HAVE_BSEARCH
-        i_pidinput = p_mux->pp_inputs[i_stream]->p_fmt->i_id;
+        i_pidinput = p_stream->i_pid;
         p_usepid = bsearch( &i_pidinput, p_sys->pmtmap, p_sys->i_pmtslots,
                             sizeof(pmt_map_t), intcompare );
 
-- 
1.5.4.3

